Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 593254 - long gtk tooltip crashes X session
long gtk tooltip crashes X session
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-18 06:35 EDT by Daniele Branchini
Modified: 2010-12-03 09:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:35:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
python script to display long gtk tooltip (1.15 KB, application/octet-stream)
2010-05-18 06:36 EDT, Daniele Branchini
no flags Details

  None (edit)
Description Daniele Branchini 2010-05-18 06:35:06 EDT
Description of problem:
First discovered doing a mouseover in a pidgin windows with a long link.
X session crashes, gdm greeter appears.
Same problem with a shorter link with a long description.
Then a friend of mine gave me a short python script using gtk (see attachment) that gave me the same problem

Version-Release number of selected component (if applicable):
Fedora release 12
2.6.32.11-99.fc12.x86_64 #1 SMP Mon Apr 5 19:59:38 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

gtk2-2.18.9-3.fc12
xorg-x11-server-1.7.6-4.fc12
xorg-x11-drv-ati-6.13.0-0.21.20100219gite68d3a389.fc12
compiz-0.8.2-24.fc12

How reproducible:
Launch the python script attached

Steps to Reproduce:
1. Launch the python script, wait until a gtk window appears
2. Let your mouse over the window for a while
3. Enjoy your X session crash
  
Actual results:
Crash of X session occurs before the displaying of the tooltip

Expected results:
The display of a long tooltip

Additional info:
nothing relevant appears in dmesg after the crash.
this is what happens in /var/log/messages 
May 18 11:57:29 carenza gnome-keyring-daemon[11312]: dbus failure unregistering from session: Connection is closed
May 18 11:57:29 carenza gnome-keyring-daemon[11312]: dbus failure unregistering from session: Connection is closed
May 18 11:57:29 carenza gnome-session[11319]: WARNING: Detected that screensaver has left the bus

then some messages from abrt ending with:
abrtd: Crash is in database already (dup of /var/cache/abrt/ccpp-1267459473-1577)
I actually don't know what to do with that directory, it doesn't appear in abrt-gui, please let me know what kind of additional information I may supply
Comment 1 Daniele Branchini 2010-05-18 06:36:19 EDT
Created attachment 414801 [details]
python script to display long gtk tooltip
Comment 2 Daniele Branchini 2010-05-18 09:57:19 EDT
It's related to Compiz.
With Desktop Effects disabled there are no crashes.

It's not a big deal to disable it (I should have done it in the first place) but if I can help tracing this malfunction please tell me how.

It's strange, the abrt dump doesn't always occurr, my session could crash and abrtd may or may not notice it.
When it does, this is the info I can get from the core dump 

[root@carenza ccpp-1274190194-2369]# gdb /usr/bin/Xorg coredump
GNU gdb (GDB) Fedora (7.0.1-45.fc12)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/Xorg...Reading symbols from /usr/lib/debug/usr/bin/Xorg.debug...done.
done.
BFD: Warning: /var/cache/abrt/ccpp-1274190194-2369/coredump is truncated: expected core file size >= 15417344, found: 61440.
Cannot access memory at address 0x36dae1f0c8
(gdb) where
Cannot access memory at address 0x7ffff6edada8
(gdb)
Comment 3 Bug Zapper 2010-11-03 10:40:03 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 09:35:28 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.